{ *************************************************************************** }
{                                                                             }
{ Kylix and Delphi Cross-Platform Visual Component Library                    }
{                                                                             }
{ Copyright (c) 1997, 2001 Borland Software Corporation                       }
{                                                                             }
{ Traducido por German C.C. - German@oksoft.org                               }
{                                                                             }
{ *************************************************************************** }


unit SqlConst;

interface

const
  DRIVERS_KEY = 'Installed Drivers';            { Do not localize }
  CONNECTIONS_KEY = 'Installed Connections';    { Do not localize }
  DRIVERNAME_KEY = 'DriverName';                { Do not localize }
  HOSTNAME_KEY = 'HostName';                    { Do not localize }
  ROLENAME_KEY = 'RoleName';                    { Do not localize }
  DATABASENAME_KEY = 'Database';                { Do not localize }
  MAXBLOBSIZE_KEY = 'BlobSize';                 { Do not localize }          
  VENDORLIB_KEY = 'VendorLib';                  { Do not localize }
  DLLLIB_KEY = 'LibraryName';                   { Do not localize }
  GETDRIVERFUNC_KEY = 'GetDriverFunc';          { Do not localize }
  AUTOCOMMIT_KEY = 'AutoCommit';                { Do not localize }
  BLOCKINGMODE_KEY = 'BlockingMode';            { Do not localize }
  WAITONLOCKS_KEY= 'WaitOnLocks';               { Do not localize }
  COMMITRETAIN_KEY = 'CommitRetain';            { Do not localize }
  TRANSISOLATION_KEY = '%s TransIsolation';     { Do not localize }
  SQLDIALECT_KEY = 'SqlDialect';                { Do not localize }
  SQLLOCALE_CODE_KEY = 'LocaleCode';            { Do not localize }
  ERROR_RESOURCE_KEY = 'ErrorResourceFile';     { Do not localize }
  SQLSERVER_CHARSET_KEY = 'ServerCharSet';      { Do not localize }
  SREADCOMMITTED = 'readcommited';              { Do not localize }
  SREPEATREAD = 'repeatableread';               { Do not localize }
  SDIRTYREAD = 'dirtyread';                     { Do not localize }
  SDRIVERREG_SETTING = 'Driver Registry File';           { Do not localize }
  SCONNECTIONREG_SETTING = 'Connection Registry File';   { Do not localize }
  szUSERNAME         = 'USER_NAME';             { Do not localize }
  szPASSWORD         = 'PASSWORD';              { Do not localize }
  SLocaleCode        = 'LCID';                  { Do not localize }
  ROWSETSIZE_KEY     = 'RowsetSize';            { Do not localize }
  OSAUTHENTICATION   = 'OS Authentication';     { Do not localize }
  SERVERPORT         = 'Server Port';           { Do not localize }
  MULTITRANSENABLED  = 'Multiple Transaction';  { Do not localize }
  TRIMCHAR           = 'Trim Char';             { Do not localize }
  CUSTOM_INFO        = 'Custom String';         { Do not localize }
  CONN_TIMEOUT       = 'Connection Timeout';    { Do not localize }
{$IFDEF MSWINDOWS}
  SDriverConfigFile = 'dbxdrivers.ini';            { Do not localize }
  SConnectionConfigFile = 'dbxconnections.ini';    { Do not localize }
  SDBEXPRESSREG_SETTING = '\Software\Borland\DBExpress'; { Do not localize }
{$ENDIF}
{$IFDEF LINUX}
  SDBEXPRESSREG_USERPATH = '/.borland/';          { Do not localize }
  SDBEXPRESSREG_GLOBALPATH = '/usr/local/etc/';   { Do not localize }
  SDriverConfigFile = 'dbxdrivers';                  { Do not localize }
  SConnectionConfigFile = 'dbxconnections';          { Do not localize }
  SConfExtension = '.conf';                       { Do not localize }
{$ENDIF}

resourcestring
  SLoginError = 'No es posible conectar con la base de datos ''%s'''; //'Cannot connect to database ''%s''';
  SMonitorActive = 'No es posible cambiar la conexin en Active Monitor'; //'Cannot change connection on Active Monitor';
  SMissingConnection = 'Falta la propiedad SQLConnection'; //'Missing SQLConnection property';
  SDatabaseOpen = 'No es posible efectuar sta operacin en una conexin abierta'; //'Cannot perform this operation on an open connection';
  SDatabaseClosed = 'No es posible efectuar sta operacin en una conexin cerrada'; //'Cannot perform this operation on a closed connection';
  SMissingSQLConnection = 'La propiedad SQLConnection eS requerida para sta operacin'; //'SQLConnection property required for this operation';
  SConnectionNameMissing = 'Falta el nombre de la conexin'; //'Connection name missing';
  SEmptySQLStatement = 'No hay ninguna declaracin SQL disponible'; //'No SQL statement available';
  SNoParameterValue = 'No hay valor para el parmetro ''%s'''; //'No value for parameter ''%s''';
  SNoParameterType = 'No hay tipo de parmetro para el parmetro ''%s'''; //'No parameter type for parameter ''%s''';
  SParameterTypes = ';Input;Output;Input/Output;Result';
  SDataTypes = ';String;SmallInt;Integer;Word;Boolean;Float;Currency;BCD;Date;Time;DateTime;;;;Blob;Memo;Graphic;;;;;Cursor;';
  SResultName = 'Resultado'; //'Result';
  SNoTableName = 'Falta la propiedad TableName'; //'Missing TableName property';
  SNoSqlStatement = 'Falta la consulta, nombre de tabla o procedimiento'; //'Missing query, table name or procedure name';
  SNoDataSetField = 'Falta la propiedad DataSetField'; //'Missing DataSetField property';
  SNoCachedUpdates = 'No est en modo de actualizacin cached'; //'Not in cached update mode';
  SMissingDataBaseName = 'Falta la propiedad DataBase'; //'Missing Database property';
  SMissingDataSet = 'Falta la propiedad DataSet'; //'Missing DataSet property';
  SMissingDriverName = 'Falta la propiedad DriverName'; //'Missing DriverName property';
  SPrepareError = 'No es posible ejecutar la consulta'; //'Unable to execute Query';
  SObjectNameError = 'Tabla/Procedimiento no encontrado'; //'Table/Procedure not found';
  SSQLDataSetOpen = 'No es posible determinar los nombres de campo para %s'; //'Unable to determine field names for %s';
  SNoActiveTrans = 'No hay ninguna transaccin activa'; //'There is no active transaction';
  SActiveTrans = 'Ya hay activa una transaccin'; //'A transaction is already active';
  SDllLoadError = 'No es posible cargar %s'; //'Unable to Load %s';
  SDllProcLoadError = 'No es posible encontrar el procedimiento %s'; //'Unable to Find Procedure %s';
  SConnectionEditor = '&Editar Propiedades de Conexin'; //'&Edit Connection Properties';
  SCommandTextEditor = '&Editar CommandText'; //'&Edit CommandText';
  SMissingDLLName = 'DLL/Nombre de Librera Compartida no especificada'; //'DLL/Shared Library Name not Set';
  SMissingDriverRegFile = 'Driver/Archivo de Registro de Conexin ''%s'' no encontrado'; //'Driver/Connection Registry File ''%s'' not found';
  STableNameNotFound = 'No es posible encontrar TableName en CommandText'; //'Cannot find TableName in CommandText';
  SNoCursor = 'Cursor no devuelto por la consulta'; //'Cursor not returned from Query';
  SMetaDataOpenError = 'No es posible abrir Metadata'; //'Unable to Open Metadata';
  SErrorMappingError = 'Error de SQL: Fallo al mapear'; //'SQL Error: Error mapping failed';
  SStoredProcsNotSupported = 'Stored Procedures no soportado por el Servidor ''%s''.'; //'Stored Procedures not supported by ''%s'' Server';
  SPackagesNotSupported = 'Los paquetes no estn soportados por el Servidor ''%s''.'; //'Packages are not supported by ''%s'' Server';
  SDBXUNKNOWNERROR = 'Error DBX: Mapeo para el Cdigo de Error no encontrado'; //'DBX Error: No Mapping for Error Code Found';
  SDBXNOCONNECTION = 'Error DBX: Conexin no encontrada, no es posible recuperar el mensaje de error'; //'DBX Error: Connection not found, error message cannot be retrieved';
  SDBXNOMETAOBJECT = 'Error DBX: MetadataObject no encontrado, no es posible recuperar el mensaje de error'; //'DBX Error: MetadataObject not found, error message cannot be retrieved';
  SDBXNOCOMMAND = 'Error DBX: Comando no encontrado, no es posible recuperar el mensaje de error'; //'DBX Error: Command not found, error message cannot be retrieved';
  SDBXNOCURSOR = 'Error DBX: Cursor no encontrado, no es posible recuperar el mensaje de error'; //'DBX Error: Cursor not found, error message cannot be retrieved';
  SNOMEMORY = 'Error dbExpress: Memoria insuficiente para la operacin'; //'dbExpress Error: Insufficient Memory for Operation';
  SINVALIDFLDTYPE = 'Error dbExpress: Tipo de Campo invlido'; //'dbExpress Error: Invalid Field Type';
  SINVALIDHNDL = 'Error dbExpress: Handle invlido'; //'dbExpress Error: Invalid Handle';
  SINVALIDTIME = 'Error dbExpress: Hora invlida'; //'dbExpress Error: Invalid Time';
  SNOTSUPPORTED = 'Error dbExpress: Operacin no soportada'; //'dbExpress Error: Operation Not Supported';
  SINVALIDXLATION = 'Error dbExpress: Datos de traduccin invlidos'; //'dbExpress Error: Invalid Data Translation';
  SINVALIDPARAM = 'Error dbExpress: Parmetro invlido'; //'dbExpress Error: Invalid Parameter';
  SOUTOFRANGE = 'Error dbExpress: Parmetro/Columna fuera de rango'; //'dbExpress Error: Parameter/Column out of Range';
  SSQLPARAMNOTSET = 'Error dbExpress: Parmetro sin asignar'; //'dbExpress Error: Parameter Not Set';
  SEOF = 'Error dbExpress: Resultado asignado a EOF'; //'dbExpress Error: Result set at EOF';
  SINVALIDUSRPASS = 'Error dbExpress: Nombre de usuario/Contrasea invlida'; //'dbExpress Error: Invalid Username/Password';
  SINVALIDPRECISION = 'Error dbExpress: Precisin invlida'; //'dbExpress Error: Invalid Precision';
  SINVALIDLEN = 'Error dbExpress: Longitud invlida'; //'dbExpress Error: Invalid Length';
  SINVALIDXISOLEVEL = 'Error dbExpress: Nivel de Aislamiento de Transaccin invlido'; //'dbExpress Error: Invalid Transaction Isolation Level';
  SINVALIDTXNID = 'Error dbExpress: Identificador de Transaccin invlido'; //'dbExpress Error: Invalid Transaction ID';
  SDUPLICATETXNID = 'Error dbExpress: Identificador de Transaccin duplicado'; //'dbExpress Error: Duplicate Transaction ID';
  SDRIVERRESTRICTED = 'Error dbExpress: La Aplicacin no tiene licencia para utilizar esta caracterstica'; //'dbExpress Error: Application is not licensed to use this feature';
  SLOCALTRANSACTIVE = 'Error dbExpress: Ya hay activa una Transaccin Local'; //'dbExpress Error: Local Transaction already active';
  SMULTIPLETRANSNOTENABLED = 'Error dbExpress: Transacciones mltiples no habilitadas'; //'dbExpress Error: Multiple Transactions not Enabled';
  SMultiConnNotSupported = 'Conexiones mltiples no soportadas por el driver %s'; //'Multiple Connections not supported by %s driver';
  SConfFileMoveError = 'No es posible mover %s a %s'; //'Unable to move %s to %s';
  SMissingConfFile = 'Configuracin de archivo %s no encontrada'; //'Configuration file %s not found';
  SObjectViewNotTrue = 'ObjectView debe contener True para una Tabla con campos Object'; //'ObjectView must be True for Table with Object fields';
  SDriverNotInConfigFile = 'Driver (%s) no encontrado en archivo Cfg (%s)'; //'Driver (%s) not found in Cfg file (%s)';
  SObjectTypenameRequired = 'Nombre de tipo de Objeto requerido como valor de parmetro'; //'Object type name required as parameter value';
  SCannotCreateFile = 'No es posible crear el archivo %s'; //'Cannot create file %s';
// used in SqlReg.pas
  SDlgOpenCaption = 'Abrir archivo de registro de diario'; //'Open trace log file';
  SDlgFilterTxt = 'Archivos de texto (*.txt)|*.txt|Todos los archivos (*.*)|*.*'; //'Text files (*.txt)|*.txt|All files (*.*)|*.*';
  SLogFileFilter = 'Archivos de diario (*.log)'; //'Log files (*.log)'
  SCircularProvider = 'Las referencias circulares a proveedores no estn permitidas'; //'Circular provider references not allowed.';

const

  DbxError : array[0..19] of String = ( '', SNOMEMORY, SINVALIDFLDTYPE,
                SINVALIDHNDL, SINVALIDTIME,
                SNOTSUPPORTED, SINVALIDXLATION, SINVALIDPARAM, SOUTOFRANGE,
                SSQLPARAMNOTSET, SEOF, SINVALIDUSRPASS, SINVALIDPRECISION,
                SINVALIDLEN, SINVALIDXISOLEVEL, SINVALIDTXNID, SDUPLICATETXNID,
                SDRIVERRESTRICTED, SLOCALTRANSACTIVE, SMULTIPLETRANSNOTENABLED );

implementation

end.
